Execute a single automation/script action
curl --request POST \
--url http://0.0.0.0:3000/v1/actions/execute \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"action": {
"action": "service",
"service": "camera.snapshot",
"target": {
"entity_id": "onvif.camera.entrada"
}
},
"resource": "automations"
}
'import requests
url = "http://0.0.0.0:3000/v1/actions/execute"
payload = {
"action": {
"action": "service",
"service": "camera.snapshot",
"target": { "entity_id": "onvif.camera.entrada" }
},
"resource": "automations"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
action: {
action: 'service',
service: 'camera.snapshot',
target: {entity_id: 'onvif.camera.entrada'}
},
resource: 'automations'
})
};
fetch('http://0.0.0.0:3000/v1/actions/execute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "3000",
CURLOPT_URL => "http://0.0.0.0:3000/v1/actions/execute",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'action' => [
'action' => 'service',
'service' => 'camera.snapshot',
'target' => [
'entity_id' => 'onvif.camera.entrada'
]
],
'resource' => 'automations'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://0.0.0.0:3000/v1/actions/execute"
payload := strings.NewReader("{\n \"action\": {\n \"action\": \"service\",\n \"service\": \"camera.snapshot\",\n \"target\": {\n \"entity_id\": \"onvif.camera.entrada\"\n }\n },\n \"resource\": \"automations\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("http://0.0.0.0:3000/v1/actions/execute")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"action\": {\n \"action\": \"service\",\n \"service\": \"camera.snapshot\",\n \"target\": {\n \"entity_id\": \"onvif.camera.entrada\"\n }\n },\n \"resource\": \"automations\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("http://0.0.0.0:3000/v1/actions/execute")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"action\": {\n \"action\": \"service\",\n \"service\": \"camera.snapshot\",\n \"target\": {\n \"entity_id\": \"onvif.camera.entrada\"\n }\n },\n \"resource\": \"automations\"\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"error": "<string>",
"response": "<unknown>",
"variables": {},
"steps": [
{}
],
"duration_ms": 123
}{
"message": "validation error"
}{
"error": "unauthorized"
}{
"error": "forbidden"
}Scripts
Execute a single automation/script action
Executa uma ação do editor de automação/script como na execução real (templates, notify, choose/repeat) e devolve o resultado de cada passo e a resposta do service (ex.: camera.snapshot). Nada é gravado no histórico. Espera no máximo 60s.
POST
/
v1
/
actions
/
execute
Execute a single automation/script action
curl --request POST \
--url http://0.0.0.0:3000/v1/actions/execute \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"action": {
"action": "service",
"service": "camera.snapshot",
"target": {
"entity_id": "onvif.camera.entrada"
}
},
"resource": "automations"
}
'import requests
url = "http://0.0.0.0:3000/v1/actions/execute"
payload = {
"action": {
"action": "service",
"service": "camera.snapshot",
"target": { "entity_id": "onvif.camera.entrada" }
},
"resource": "automations"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
action: {
action: 'service',
service: 'camera.snapshot',
target: {entity_id: 'onvif.camera.entrada'}
},
resource: 'automations'
})
};
fetch('http://0.0.0.0:3000/v1/actions/execute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "3000",
CURLOPT_URL => "http://0.0.0.0:3000/v1/actions/execute",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'action' => [
'action' => 'service',
'service' => 'camera.snapshot',
'target' => [
'entity_id' => 'onvif.camera.entrada'
]
],
'resource' => 'automations'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://0.0.0.0:3000/v1/actions/execute"
payload := strings.NewReader("{\n \"action\": {\n \"action\": \"service\",\n \"service\": \"camera.snapshot\",\n \"target\": {\n \"entity_id\": \"onvif.camera.entrada\"\n }\n },\n \"resource\": \"automations\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("http://0.0.0.0:3000/v1/actions/execute")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"action\": {\n \"action\": \"service\",\n \"service\": \"camera.snapshot\",\n \"target\": {\n \"entity_id\": \"onvif.camera.entrada\"\n }\n },\n \"resource\": \"automations\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("http://0.0.0.0:3000/v1/actions/execute")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"action\": {\n \"action\": \"service\",\n \"service\": \"camera.snapshot\",\n \"target\": {\n \"entity_id\": \"onvif.camera.entrada\"\n }\n },\n \"resource\": \"automations\"\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"error": "<string>",
"response": "<unknown>",
"variables": {},
"steps": [
{}
],
"duration_ms": 123
}{
"message": "validation error"
}{
"error": "unauthorized"
}{
"error": "forbidden"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
ID da organização para contexto (opcional). Quando presente, filtra recursos da org.
Body
application/json
Ação no mesmo formato de actions da automação/script
Editor de origem, usado na checagem de permissão (padrão: scripts)
Available options:
automations, scripts Variáveis iniciais (respostas de ações anteriores já executadas, ex.: { snapshot: {...} })